

  Lesson 1: Formatting and Printing a WS File


Welcome to the Write&Set Tutorial, Lesson 1.

If you have installed Write&Set and run WSformat for the first time, you'll 
jump into this tutorial automatically.

I have written this Tutorial for people who are neither familiar with 
Write&Set nor with classic Wordstar commands. The lessons are simple and 
short. They do not explain all functionality of Write&Set. Instead, only the 
basic usage of Write&Set is explained.

To reach this tutorial text a second time, please select "Help - Start 
Tutorial" in the WSformat menu.

Write&Set is based on two different but related programs: WSedit and WSformat. 
Now both programs should be running. WSedit is the editor where you can read 
this text and WSformat is the smaller dialog window with the "edit", "format" 
etc. buttons. With the "unform edit" button, you can reach the editor from the 
WSformat dialog window. It's also possible to start the editor directly by 
double-clicking on the WS file without executing WSformat.

Both WSedit and WSformat include a help file where the full functionality is 
explained (Select the "Help" menu item). To get an idea about the concept of 
Write&Set, please read the "Introduction" chapter of the WSformat 
documentation.

The extension WS means "Write&Set" or "WordStar". The Write&Set file format is 
identical to WordStar DOS. WS files are text files which differ only slightly 
from pure ASCII text format. Using Write&Set, a WS file is always unformatted. 
Such a text file will not include fixed line breaks and margins. Change the 
window width of the WSedit editor. You'll see that the text gets reformatted 
automatically.

The WSedit titlebar holds some useful information: (1,40*) means that the 
current cursor position is column 1 (the leftmost column) and line 40. The 
star indicates that there were changes made which are not saved to disk yet. 
Please correct this eror here and observe the titlebar! With your first 
modification on this file, the star occurs.

You have already seen that the text gets reformatted when changing the window 
width. That causes the problem that the line number of a specific location 
gets changed if you reformat the text. As opposed to the "line" counter, the 
value of the "Par" (=Paragraph) counter remains the same when reformatting a 
text.

Now we will format and print this file.

If you 'format' your text for the first time, WSformat asks you the name of 
the printer to which formatting refers to. This should be your favourite 
printer for printouts. (Later, you can change this setting.) Then WSformat 
calculates the data of the printer fonts. This happens only for the very first 
time.

To format, simply press the format button in the WSformat dialog window. A new 
file 1_FormattingPrinting.fmt will be generated. That's the same name like the 
WS file, but with "FMT" at the end. A second WSedit window opens containing 
the FMT (formatted) file. The "format" function does not modify the WS file in 
any way.

Look at the formatted file and change the window width. As opposed to the WS 
file, the line breaks are now fixed. If you have already installed a 
language-specific hyphenation algorithm (WSformat "Settings", "Settings 
Notebook"), you will see hyphenated words.

The background of WSedit (formatted) shows the page breaks with a floating 
yellow color. Lines at the top of the page are shown in white background color 
and at the bottom in strong yellow color.

It is possible to make minor changes to the FMT file, e.g., optimizing page 
breaks by entering an additional Return.

To switch between the formatted and the unformatted file, simply doubleclick 
into the editor and you will get the other editor with the cursor position in 
the corresponding paragraph.

You are also encouraged to preview the file. Simply press the WSformat preview 
button. When saving the FMT file in the editor, the preview window is updated 
automatically. In the preview window, select the "<" and ">" menuitems or use 
the "Pg Dn" and "Pg Up" keys on your keyboard, or use the left and right mouse 
buttons. To navigate in larger documents, hold down the left mouse button, and 
drag the mouse to the right while viewing the title bar. But in this document, 
we only have one or two pages. The "2x1" menuitem shows both pages 
simultaneously.

Change the height and width of the Preview Window. The preview scale depends 
on the window width.

To print the file, select a printer by using the dropdown box in the WSformat 
main window. You can press the WSformat Print button, or select "File - Print 
pages" from the menu. In the second case, you can select single pages and 
other options.

This is the end of lesson 1.
